Subject: Re: bug#65049: Minor update to the repro steps

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Aug 2023 14:00:27 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 21 Aug 2023 09:53:28 +0300
> 
> > Then this should set up EOL conversion correctly for the temporary
> > file.  Something like (untested):
> >
> >         (let ((patch-file (make-nearby-temp-file "git-patch")))
> >           (with-temp-file patch-file
> >             (insert vc-git-patch-string)
> >             (set-buffer-file-coding-system 'unix)))
> >           (unwind-protect
> >               (vc-git-command nil 0 patch-file "apply" "--cached")
> 
> Sorry, I can't test this on Windows.

I didn't ask you to.  I expect that Maxim will be interested, and
hope he'll be able to test.

Note that the other part of this -- to have Git configured not to
modify the EOL format of files, neither when committing nor when
checking out -- still stands, and must be part of the solution.